## WebKitDOMDocument WebKitDOMDocument |

## Functions

WebKitDOMElement * | webkit_dom_document_create_element ()
WebKitDOMDocumentFragment * | webkit_dom_document_create_document_fragment ()
WebKitDOMText * | webkit_dom_document_create_text_node ()
WebKitDOMComment * | webkit_dom_document_create_comment ()
WebKitDOMCDATASection * | webkit_dom_document_create_cdata_section ()
WebKitDOMProcessingInstruction * | webkit_dom_document_create_processing_instruction ()
WebKitDOMAttr * | webkit_dom_document_create_attribute ()
WebKitDOMEntityReference * | webkit_dom_document_create_entity_reference ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_tag_name ()
WebKitDOMNode * | webkit_dom_document_import_node ()
WebKitDOMElement * | webkit_dom_document_create_element_ns ()
WebKitDOMAttr * | webkit_dom_document_create_attribute_ns ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_tag_name_ns ()
WebKitDOMElement * | webkit_dom_document_get_element_by_id ()
WebKitDOMNode * | webkit_dom_document_adopt_node ()
WebKitDOMEvent * | webkit_dom_document_create_event ()
WebKitDOMRange * | webkit_dom_document_create_range ()
WebKitDOMNodeIterator * | webkit_dom_document_create_node_iterator ()
WebKitDOMTreeWalker * | webkit_dom_document_create_tree_walker ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_document_get_override_style ()
WebKitDOMXPathExpression * | webkit_dom_document_create_expression ()
WebKitDOMXPathNSResolver * | webkit_dom_document_create_ns_resolver ()
WebKitDOMXPathResult * | webkit_dom_document_evaluate ()
gboolean | webkit_dom_document_exec_command ()
gboolean | webkit_dom_document_query_command_enabled ()
gboolean | webkit_dom_document_query_command_indeterm ()
gboolean | webkit_dom_document_query_command_state ()
gboolean | webkit_dom_document_query_command_supported ()
gchar * | webkit_dom_document_query_command_value ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_name ()
WebKitDOMElement * | webkit_dom_document_element_from_point ()
WebKitDOMRange * | webkit_dom_document_caret_range_from_point ()
WebKitDOMCSSStyleDeclaration * | webkit_dom_document_create_css_style_declaration ()
WebKitDOMNodeList * | webkit_dom_document_get_elements_by_class_name ()
WebKitDOMElement * | webkit_dom_document_query_selector ()
WebKitDOMNodeList * | webkit_dom_document_query_selector_all ()
void | webkit_dom_document_webkit_cancel_full_screen ()
void | webkit_dom_document_webkit_exit_fullscreen ()
void | webkit_dom_document_webkit_exit_pointer_lock ()
WebKitDOMDOMNamedFlowCollection * | webkit_dom_document_webkit_get_named_flows ()
WebKitDOMTouch * | webkit_dom_document_create_touch ()
WebKitDOMDocumentType * | webkit_dom_document_get_doctype ()
WebKitDOMDOMImplementation * | webkit_dom_document_get_implementation ()
WebKitDOMElement * | webkit_dom_document_get_document_element ()
gchar * | webkit_dom_document_get_input_encoding ()
gchar * | webkit_dom_document_get_xml_encoding ()
gchar * | webkit_dom_document_get_xml_version ()
void | webkit_dom_document_set_xml_version ()
gboolean | webkit_dom_document_get_xml_standalone ()
void | webkit_dom_document_set_xml_standalone ()
gchar * | webkit_dom_document_get_document_uri ()
void | webkit_dom_document_set_document_uri ()
WebKitDOMDOMWindow * | webkit_dom_document_get_default_view ()
WebKitDOMStyleSheetList * | webkit_dom_document_get_style_sheets ()
gchar * | webkit_dom_document_get_title ()
void | webkit_dom_document_set_title ()
gchar * | webkit_dom_document_get_referrer ()
gchar * | webkit_dom_document_get_domain ()
gchar * | webkit_dom_document_get_url ()
gchar * | webkit_dom_document_get_cookie ()
void | webkit_dom_document_set_cookie ()
WebKitDOMHTMLElement * | webkit_dom_document_get_body ()
void | webkit_dom_document_set_body ()
WebKitDOMHTMLHeadElement * | webkit_dom_document_get_head ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_images ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_applets ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_links ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_forms ()
WebKitDOMHTMLCollection * | webkit_dom_document_get_anchors ()
gchar * | webkit_dom_document_get_last_modified ()
gchar * | webkit_dom_document_get_charset ()
void | webkit_dom_document_set_charset ()
gchar * | webkit_dom_document_get_default_charset ()
gchar * | webkit_dom_document_get_ready_state ()
gchar * | webkit_dom_document_get_character_set ()
gchar * | webkit_dom_document_get_preferred_stylesheet_set ()
gchar * | webkit_dom_document_get_selected_stylesheet_set ()
void | webkit_dom_document_set_selected_stylesheet_set ()
gchar * | webkit_dom_document_get_compat_mode ()
gboolean | webkit_dom_document_get_webkit_is_full_screen ()
gboolean | webkit_dom_document_get_webkit_full_screen_keyboard_input_allowed ()
WebKitDOMElement * | webkit_dom_document_get_webkit_current_full_screen_element ()
gboolean | webkit_dom_document_get_webkit_fullscreen_enabled ()
WebKitDOMElement * | webkit_dom_document_get_webkit_fullscreen_element ()
WebKitDOMElement * | webkit_dom_document_get_webkit_pointer_lock_element ()
gchar * | webkit_dom_document_get_visibility_state ()
gboolean | webkit_dom_document_get_hidden ()
WebKitDOMDOMSecurityPolicy * | webkit_dom_document_get_security_policy ()
WebKitDOMHTMLScriptElement * | webkit_dom_document_get_current_script ()
gboolean | webkit_dom_document_get_webkit_hidden ()
gchar * | webkit_dom_document_get_webkit_visibility_state ()

## Properties

WebKitDOMHTMLCollection * | anchors | Read
WebKitDOMHTMLCollection * | applets | Read
WebKitDOMHTMLElement * | body | Read
gchar * | character-set | Read
gchar * | charset | Read / Write
gchar * | compat-mode | Read
gchar * | cookie | Read / Write
WebKitDOMHTMLScriptElement * | current-script | Read
gchar * | default-charset | Read
WebKitDOMDOMWindow * | default-view | Read
WebKitDOMDocumentType * | doctype | Read
WebKitDOMElement * | document-element | Read
gchar * | document-uri | Read / Write
gchar * | domain | Read
WebKitDOMHTMLCollection * | forms | Read
WebKitDOMHTMLHeadElement * | head | Read
gboolean | hidden | Read
WebKitDOMHTMLCollection * | images | Read
WebKitDOMDOMImplementation * | implementation | Read
gchar * | input-encoding | Read
gchar * | last-modified | Read
WebKitDOMHTMLCollection * | links | Read
gchar * | preferred-stylesheet-set | Read
gchar * | ready-state | Read
gchar * | referrer | Read
WebKitDOMDOMSecurityPolicy * | security-policy | Read
gchar * | selected-stylesheet-set | Read / Write
WebKitDOMStyleSheetList * | style-sheets | Read
gchar * | title | Read / Write
gchar * | url | Read
gchar * | visibility-state | Read
WebKitDOMElement * | webkit-current-full-screen-element | Read
gboolean | webkit-full-screen-keyboard-input-allowed | Read
WebKitDOMElement * | webkit-fullscreen-element | Read
gboolean | webkit-fullscreen-enabled | Read
gboolean | webkit-is-full-screen | Read
WebKitDOMElement * | webkit-pointer-lock-element | Read
gchar * | xml-encoding | Read
gboolean | xml-standalone | Read / Write
gchar * | xml-version | Read / Write

## Types and Values

| WebKitDOMDocument

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocument
                    ╰── WebKitDOMHTMLDocument

## Implemented Interfaces

WebKitDOMDocument implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_document_create_element ()

    WebKitDOMElement *
    webkit_dom_document_create_element (WebKitDOMDocument *self,
                                        const gchar *tagName,
                                        GError **error);

#### Parameters

self | A WebKitDOMDocument |
tagName | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_create_document_fragment ()

    WebKitDOMDocumentFragment *
    webkit_dom_document_create_document_fragment
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDocumentFragment.

[transfer none]

### webkit_dom_document_create_text_node ()

    WebKitDOMText *
    webkit_dom_document_create_text_node (WebKitDOMDocument *self,
                                          const gchar *data);

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |

#### Returns

A WebKitDOMText.

[transfer none]

### webkit_dom_document_create_comment ()

    WebKitDOMComment *
    webkit_dom_document_create_comment (WebKitDOMDocument *self,
                                        const gchar *data);

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |

#### Returns

A WebKitDOMComment.

[transfer none]

### webkit_dom_document_create_cdata_section ()

    WebKitDOMCDATASection *
    webkit_dom_document_create_cdata_section
                                   (WebKitDOMDocument *self,
                                    const gchar *data,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
data | A gchar |
error | GError |

#### Returns

A WebKitDOMCDATASection.

[transfer none]

### webkit_dom_document_create_processing_instruction ()

    WebKitDOMProcessingInstruction *
    webkit_dom_document_create_processing_instruction
                                   (WebKitDOMDocument *self,
                                    const gchar *target,
                                    const gchar *data,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
target | A gchar |
data | A gchar |
error | GError |

#### Returns

A WebKitDOMProcessingInstruction.

[transfer none]

### webkit_dom_document_create_attribute ()

    WebKitDOMAttr *
    webkit_dom_document_create_attribute (WebKitDOMDocument *self,
                                          const gchar *name,
                                          GError **error);

#### Parameters

self | A WebKitDOMDocument |
name | A gchar |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_document_create_entity_reference ()

    WebKitDOMEntityReference *
    webkit_dom_document_create_entity_reference
                                   (WebKitDOMDocument *self,
                                    const gchar *name,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
name | A gchar. | [allow-none]
error | GError |

#### Returns

A WebKitDOMEntityReference.

[transfer none]

### webkit_dom_document_get_elements_by_tag_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_tag_name
                                   (WebKitDOMDocument *self,
                                    const gchar *tagname);

#### Parameters

self | A WebKitDOMDocument |
tagname | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_import_node ()

    WebKitDOMNode *
    webkit_dom_document_import_node (WebKitDOMDocument *self,
                                     WebKitDOMNode *importedNode,
                                     gboolean deep,
                                     GError **error);

#### Parameters

self | A WebKitDOMDocument |
importedNode | A WebKitDOMNode |
deep | A gboolean |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_document_create_element_ns ()

    WebKitDOMElement *
    webkit_dom_document_create_element_ns (WebKitDOMDocument *self,
                                           const gchar *namespaceURI,
                                           const gchar *qualifiedName,
                                           GError **error);

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_create_attribute_ns ()

    WebKitDOMAttr *
    webkit_dom_document_create_attribute_ns
                                   (WebKitDOMDocument *self,
                                    const gchar *namespaceURI,
                                    const gchar *qualifiedName,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar. | [allow-none]
qualifiedName | A gchar |
error | GError |

#### Returns

A WebKitDOMAttr.

[transfer none]

### webkit_dom_document_get_elements_by_tag_name_ns ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_tag_name_ns
                                   (WebKitDOMDocument *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMDocument |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_get_element_by_id ()

    WebKitDOMElement *
    webkit_dom_document_get_element_by_id (WebKitDOMDocument *self,
                                           const gchar *elementId);

#### Parameters

self | A WebKitDOMDocument |
elementId | A gchar |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_adopt_node ()

    WebKitDOMNode *
    webkit_dom_document_adopt_node (WebKitDOMDocument *self,
                                    WebKitDOMNode *source,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
source | A WebKitDOMNode |
error | GError |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_document_create_event ()

    WebKitDOMEvent *
    webkit_dom_document_create_event (WebKitDOMDocument *self,
                                      const gchar *eventType,
                                      GError **error);

#### Parameters

self | A WebKitDOMDocument |
eventType | A gchar |
error | GError |

#### Returns

A WebKitDOMEvent.

[transfer full]

### webkit_dom_document_create_range ()

    WebKitDOMRange *
    webkit_dom_document_create_range (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMRange.

[transfer full]

### webkit_dom_document_create_node_iterator ()

    WebKitDOMNodeIterator *
    webkit_dom_document_create_node_iterator
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *root,
                                    gulong whatToShow,
                                    WebKitDOMNodeFilter *filter,
                                    gboolean expandEntityReferences,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
root | A WebKitDOMNode |
whatToShow | A gulong |
filter | A WebKitDOMNodeFilter |
expandEntityReferences | A gboolean |
error | GError |

#### Returns

A WebKitDOMNodeIterator.

[transfer full]

### webkit_dom_document_create_tree_walker ()

    WebKitDOMTreeWalker *
    webkit_dom_document_create_tree_walker
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *root,
                                    gulong whatToShow,
                                    WebKitDOMNodeFilter *filter,
                                    gboolean expandEntityReferences,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
root | A WebKitDOMNode |
whatToShow | A gulong |
filter | A WebKitDOMNodeFilter |
expandEntityReferences | A gboolean |
error | GError |

#### Returns

A WebKitDOMTreeWalker.

[transfer full]

### webkit_dom_document_get_override_style ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_document_get_override_style
                                   (WebKitDOMDocument *self,
                                    WebKitDOMElement *element,
                                    const gchar *pseudoElement);

#### Parameters

self | A WebKitDOMDocument |
element | A WebKitDOMElement |
pseudoElement | A gchar. | [allow-none]

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer full]

### webkit_dom_document_create_expression ()

    WebKitDOMXPathExpression *
    webkit_dom_document_create_expression (WebKitDOMDocument *self,
                                           const gchar *expression,
                                           WebKitDOMXPathNSResolver *resolver,
                                           GError **error);

#### Parameters

self | A WebKitDOMDocument |
expression | A gchar |
resolver | A WebKitDOMXPathNSResolver |
error | GError |

#### Returns

A WebKitDOMXPathExpression.

[transfer full]

### webkit_dom_document_create_ns_resolver ()

    WebKitDOMXPathNSResolver *
    webkit_dom_document_create_ns_resolver
                                   (WebKitDOMDocument *self,
                                    WebKitDOMNode *nodeResolver);

#### Parameters

self | A WebKitDOMDocument |
nodeResolver | A WebKitDOMNode |

#### Returns

A WebKitDOMXPathNSResolver.

[transfer full]

### webkit_dom_document_evaluate ()

    WebKitDOMXPathResult *
    webkit_dom_document_evaluate (WebKitDOMDocument *self,
                                  const gchar *expression,
                                  WebKitDOMNode *contextNode,
                                  WebKitDOMXPathNSResolver *resolver,
                                  gushort type,
                                  WebKitDOMXPathResult *inResult,
                                  GError **error);

#### Parameters

self | A WebKitDOMDocument |
expression | A gchar |
contextNode | A WebKitDOMNode |
resolver | A WebKitDOMXPathNSResolver. | [allow-none]
type | A gushort |
inResult | A WebKitDOMXPathResult. | [allow-none]
error | GError |

#### Returns

A WebKitDOMXPathResult.

[transfer full]

### webkit_dom_document_exec_command ()

    gboolean
    webkit_dom_document_exec_command (WebKitDOMDocument *self,
                                      const gchar *command,
                                      gboolean userInterface,
                                      const gchar *value);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |
userInterface | A gboolean |
value | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_enabled ()

    gboolean
    webkit_dom_document_query_command_enabled
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_indeterm ()

    gboolean
    webkit_dom_document_query_command_indeterm
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_state ()

    gboolean
    webkit_dom_document_query_command_state
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_supported ()

    gboolean
    webkit_dom_document_query_command_supported
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gboolean

### webkit_dom_document_query_command_value ()

    gchar *
    webkit_dom_document_query_command_value
                                   (WebKitDOMDocument *self,
                                    const gchar *command);

#### Parameters

self | A WebKitDOMDocument |
command | A gchar |

#### Returns

A gchar

### webkit_dom_document_get_elements_by_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_name
                                   (WebKitDOMDocument *self,
                                    const gchar *elementName);

#### Parameters

self | A WebKitDOMDocument |
elementName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_element_from_point ()

    WebKitDOMElement *
    webkit_dom_document_element_from_point
                                   (WebKitDOMDocument *self,
                                    glong x,
                                    glong y);

#### Parameters

self | A WebKitDOMDocument |
x | A glong |
y | A glong |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_caret_range_from_point ()

    WebKitDOMRange *
    webkit_dom_document_caret_range_from_point
                                   (WebKitDOMDocument *self,
                                    glong x,
                                    glong y);

#### Parameters

self | A WebKitDOMDocument |
x | A glong |
y | A glong |

#### Returns

A WebKitDOMRange.

[transfer full]

### webkit_dom_document_create_css_style_declaration ()

    WebKitDOMCSSStyleDeclaration *
    webkit_dom_document_create_css_style_declaration
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMCSSStyleDeclaration.

[transfer full]

### webkit_dom_document_get_elements_by_class_name ()

    WebKitDOMNodeList *
    webkit_dom_document_get_elements_by_class_name
                                   (WebKitDOMDocument *self,
                                    const gchar *tagname);

#### Parameters

self | A WebKitDOMDocument |
tagname | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_query_selector ()

    WebKitDOMElement *
    webkit_dom_document_query_selector (WebKitDOMDocument *self,
                                        const gchar *selectors,
                                        GError **error);

#### Parameters

self | A WebKitDOMDocument |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_query_selector_all ()

    WebKitDOMNodeList *
    webkit_dom_document_query_selector_all
                                   (WebKitDOMDocument *self,
                                    const gchar *selectors,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
selectors | A gchar |
error | GError |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_document_webkit_cancel_full_screen ()

    void
    webkit_dom_document_webkit_cancel_full_screen
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

### webkit_dom_document_webkit_exit_fullscreen ()

    void
    webkit_dom_document_webkit_exit_fullscreen
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

### webkit_dom_document_webkit_exit_pointer_lock ()

    void
    webkit_dom_document_webkit_exit_pointer_lock
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

### webkit_dom_document_webkit_get_named_flows ()

    WebKitDOMDOMNamedFlowCollection *
    webkit_dom_document_webkit_get_named_flows
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMNamedFlowCollection.

[transfer full]

### webkit_dom_document_create_touch ()

    WebKitDOMTouch *
    webkit_dom_document_create_touch (WebKitDOMDocument *self,
                                      WebKitDOMDOMWindow *window,
                                      WebKitDOMEventTarget *target,
                                      glong identifier,
                                      glong pageX,
                                      glong pageY,
                                      glong screenX,
                                      glong screenY,
                                      glong webkitRadiusX,
                                      glong webkitRadiusY,
                                      gfloat webkitRotationAngle,
                                      gfloat webkitForce,
                                      GError **error);

#### Parameters

self | A WebKitDOMDocument |
window | A WebKitDOMDOMWindow |
target | A WebKitDOMEventTarget |
identifier | A glong |
pageX | A glong |
pageY | A glong |
screenX | A glong |
screenY | A glong |
webkitRadiusX | A glong |
webkitRadiusY | A glong |
webkitRotationAngle | A gfloat |
webkitForce | A gfloat |
error | GError |

#### Returns

A WebKitDOMTouch.

[transfer full]

### webkit_dom_document_get_doctype ()

    WebKitDOMDocumentType *
    webkit_dom_document_get_doctype (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDocumentType.

[transfer none]

### webkit_dom_document_get_implementation ()

    WebKitDOMDOMImplementation *
    webkit_dom_document_get_implementation
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMImplementation.

[transfer full]

### webkit_dom_document_get_document_element ()

    WebKitDOMElement *
    webkit_dom_document_get_document_element
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_input_encoding ()

    gchar *
    webkit_dom_document_get_input_encoding
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_xml_encoding ()

    gchar *
    webkit_dom_document_get_xml_encoding (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_xml_version ()

    gchar *
    webkit_dom_document_get_xml_version (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_xml_version ()

    void
    webkit_dom_document_set_xml_version (WebKitDOMDocument *self,
                                         const gchar *value,
                                         GError **error);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |
error | GError |

### webkit_dom_document_get_xml_standalone ()

    gboolean
    webkit_dom_document_get_xml_standalone
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_set_xml_standalone ()

    void
    webkit_dom_document_set_xml_standalone
                                   (WebKitDOMDocument *self,
                                    gboolean value,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
value | A gboolean |
error | GError |

### webkit_dom_document_get_document_uri ()

    gchar *
    webkit_dom_document_get_document_uri (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_document_uri ()

    void
    webkit_dom_document_set_document_uri (WebKitDOMDocument *self,
                                          const gchar *value);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_default_view ()

    WebKitDOMDOMWindow *
    webkit_dom_document_get_default_view (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMWindow.

[transfer full]

### webkit_dom_document_get_style_sheets ()

    WebKitDOMStyleSheetList *
    webkit_dom_document_get_style_sheets (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMStyleSheetList.

[transfer none]

### webkit_dom_document_get_title ()

    gchar *
    webkit_dom_document_get_title (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_title ()

    void
    webkit_dom_document_set_title (WebKitDOMDocument *self,
                                   const gchar *value);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_referrer ()

    gchar *
    webkit_dom_document_get_referrer (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_domain ()

    gchar *
    webkit_dom_document_get_domain (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_url ()

    gchar *
    webkit_dom_document_get_url (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_cookie ()

    gchar *
    webkit_dom_document_get_cookie (WebKitDOMDocument *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
error | GError |

#### Returns

A gchar

### webkit_dom_document_set_cookie ()

    void
    webkit_dom_document_set_cookie (WebKitDOMDocument *self,
                                    const gchar *value,
                                    GError **error);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |
error | GError |

### webkit_dom_document_get_body ()

    WebKitDOMHTMLElement *
    webkit_dom_document_get_body (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_document_set_body ()

    void
    webkit_dom_document_set_body (WebKitDOMDocument *self,
                                  WebKitDOMHTMLElement *value,
                                  GError **error);

#### Parameters

self | A WebKitDOMDocument |
value | A WebKitDOMHTMLElement |
error | GError |

### webkit_dom_document_get_head ()

    WebKitDOMHTMLHeadElement *
    webkit_dom_document_get_head (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLHeadElement.

[transfer none]

### webkit_dom_document_get_images ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_images (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_applets ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_applets (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_links ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_links (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_forms ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_forms (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_anchors ()

    WebKitDOMHTMLCollection *
    webkit_dom_document_get_anchors (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_document_get_last_modified ()

    gchar *
    webkit_dom_document_get_last_modified (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_charset ()

    gchar *
    webkit_dom_document_get_charset (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_charset ()

    void
    webkit_dom_document_set_charset (WebKitDOMDocument *self,
                                     const gchar *value);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_default_charset ()

    gchar *
    webkit_dom_document_get_default_charset
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_ready_state ()

    gchar *
    webkit_dom_document_get_ready_state (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_character_set ()

    gchar *
    webkit_dom_document_get_character_set (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_preferred_stylesheet_set ()

    gchar *
    webkit_dom_document_get_preferred_stylesheet_set
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_selected_stylesheet_set ()

    gchar *
    webkit_dom_document_get_selected_stylesheet_set
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_set_selected_stylesheet_set ()

    void
    webkit_dom_document_set_selected_stylesheet_set
                                   (WebKitDOMDocument *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMDocument |
value | A gchar |

### webkit_dom_document_get_compat_mode ()

    gchar *
    webkit_dom_document_get_compat_mode (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_webkit_is_full_screen ()

    gboolean
    webkit_dom_document_get_webkit_is_full_screen
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_get_webkit_full_screen_keyboard_input_allowed ()

    gboolean
    webkit_dom_document_get_webkit_full_screen_keyboard_input_allowed
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_get_webkit_current_full_screen_element ()

    WebKitDOMElement *
    webkit_dom_document_get_webkit_current_full_screen_element
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_webkit_fullscreen_enabled ()

    gboolean
    webkit_dom_document_get_webkit_fullscreen_enabled
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_get_webkit_fullscreen_element ()

    WebKitDOMElement *
    webkit_dom_document_get_webkit_fullscreen_element
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_webkit_pointer_lock_element ()

    WebKitDOMElement *
    webkit_dom_document_get_webkit_pointer_lock_element
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_document_get_visibility_state ()

    gchar *
    webkit_dom_document_get_visibility_state
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gchar

### webkit_dom_document_get_hidden ()

    gboolean
    webkit_dom_document_get_hidden (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A gboolean

### webkit_dom_document_get_security_policy ()

    WebKitDOMDOMSecurityPolicy *
    webkit_dom_document_get_security_policy
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMDOMSecurityPolicy.

[transfer full]

### webkit_dom_document_get_current_script ()

    WebKitDOMHTMLScriptElement *
    webkit_dom_document_get_current_script
                                   (WebKitDOMDocument *self);

#### Parameters

self | A WebKitDOMDocument |

#### Returns

A WebKitDOMHTMLScriptElement.

[transfer none]

### webkit_dom_document_get_webkit_hidden ()

    gboolean
    webkit_dom_document_get_webkit_hidden (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_hidden` is deprecated and should not be used in newly-written code.

#### Returns

### webkit_dom_document_get_webkit_visibility_state ()

    gchar *
    webkit_dom_document_get_webkit_visibility_state
                                   (WebKitDOMDocument *self);

`webkit_dom_document_get_webkit_visibility_state` is deprecated and should not be used in newly-written code.

#### Returns

## Types and Values

### WebKitDOMDocument

    typedef struct _WebKitDOMDocument WebKitDOMDocument;

## Property Details

### The `“anchors”` property

      “anchors”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:anchors.

Flags: Read

### The `“applets”` property

      “applets”                  WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:applets.

Flags: Read

### The `“body”` property

      “body”                     WebKitDOMHTMLElement *

read-only WebKitDOMHTMLElement* Document:body.

Flags: Read

### The `“character-set”` property

      “character-set”            gchar *

read-only gchar* Document:character-set.

Flags: Read

Default value: ""

### The `“charset”` property

      “charset”                  gchar *

read-write gchar* Document:charset.

Flags: Read / Write

Default value: ""

### The `“compat-mode”` property

      “compat-mode”              gchar *

read-only gchar* Document:compat-mode.

Flags: Read

Default value: ""

### The `“cookie”` property

      “cookie”                   gchar *

read-write gchar* Document:cookie.

Flags: Read / Write

Default value: ""

### The `“current-script”` property

      “current-script”           WebKitDOMHTMLScriptElement *

read-only WebKitDOMHTMLScriptElement* Document:current-script.

Flags: Read

### The `“default-charset”` property

      “default-charset”          gchar *

read-only gchar* Document:default-charset.

Flags: Read

Default value: ""

### The `“default-view”` property

      “default-view”             WebKitDOMDOMWindow *

read-only WebKitDOMDOMWindow* Document:default-view.

Flags: Read

### The `“doctype”` property

      “doctype”                  WebKitDOMDocumentType *

read-only WebKitDOMDocumentType* Document:doctype.

Flags: Read

### The `“document-element”` property

      “document-element”         WebKitDOMElement *

read-only WebKitDOMElement* Document:document-element.

Flags: Read

### The `“document-uri”` property

      “document-uri”             gchar *

read-write gchar* Document:document-uri.

Flags: Read / Write

Default value: ""

### The `“domain”` property

      “domain”                   gchar *

read-only gchar* Document:domain.

Flags: Read

Default value: ""

### The `“forms”` property

      “forms”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:forms.

Flags: Read

### The `“head”` property

      “head”                     WebKitDOMHTMLHeadElement *

read-only WebKitDOMHTMLHeadElement* Document:head.

Flags: Read

### The `“hidden”` property

      “hidden”                   gboolean

read-only gboolean Document:hidden.

Flags: Read

Default value: FALSE

### The `“images”` property

      “images”                   WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:images.

Flags: Read

### The `“implementation”` property

      “implementation”           WebKitDOMDOMImplementation *

read-only WebKitDOMDOMImplementation* Document:implementation.

Flags: Read

### The `“input-encoding”` property

      “input-encoding”           gchar *

read-only gchar* Document:input-encoding.

Flags: Read

Default value: ""

### The `“last-modified”` property

      “last-modified”            gchar *

read-only gchar* Document:last-modified.

Flags: Read

Default value: ""

### The `“links”` property

      “links”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* Document:links.

Flags: Read

### The `“preferred-stylesheet-set”` property

      “preferred-stylesheet-set” gchar *

read-only gchar* Document:preferred-stylesheet-set.

Flags: Read

Default value: ""

### The `“ready-state”` property

      “ready-state”              gchar *

read-only gchar* Document:ready-state.

Flags: Read

Default value: ""

### The `“referrer”` property

      “referrer”                 gchar *

read-only gchar* Document:referrer.

Flags: Read

Default value: ""

### The `“security-policy”` property

      “security-policy”          WebKitDOMDOMSecurityPolicy *

read-only WebKitDOMDOMSecurityPolicy* Document:security-policy.

Flags: Read

### The `“selected-stylesheet-set”` property

      “selected-stylesheet-set”  gchar *

read-write gchar* Document:selected-stylesheet-set.

Flags: Read / Write

Default value: ""

### The `“style-sheets”` property

      “style-sheets”             WebKitDOMStyleSheetList *

read-only WebKitDOMStyleSheetList* Document:style-sheets.

Flags: Read

### The `“title”` property

      “title”                    gchar *

read-write gchar* Document:title.

Flags: Read / Write

Default value: ""

### The `“url”` property

      “url”                      gchar *

read-only gchar* Document:url.

Flags: Read

Default value: ""

### The `“visibility-state”` property

      “visibility-state”         gchar *

read-only gchar* Document:visibility-state.

Flags: Read

Default value: ""

### The `“webkit-current-full-screen-element”` property

      “webkit-current-full-screen-element” WebKitDOMElement *

read-only WebKitDOMElement* Document:webkit-current-full-screen-element.

Flags: Read

### The `“webkit-full-screen-keyboard-input-allowed”` property

      “webkit-full-screen-keyboard-input-allowed” gboolean

read-only gboolean Document:webkit-full-screen-keyboard-input-allowed.

Flags: Read

Default value: FALSE

### The `“webkit-fullscreen-element”` property

      “webkit-fullscreen-element” WebKitDOMElement *

read-only WebKitDOMElement* Document:webkit-fullscreen-element.

Flags: Read

### The `“webkit-fullscreen-enabled”` property

      “webkit-fullscreen-enabled” gboolean

read-only gboolean Document:webkit-fullscreen-enabled.

Flags: Read

Default value: FALSE

### The `“webkit-is-full-screen”` property

      “webkit-is-full-screen”    gboolean

read-only gboolean Document:webkit-is-full-screen.

Flags: Read

Default value: FALSE

### The `“webkit-pointer-lock-element”` property

      “webkit-pointer-lock-element” WebKitDOMElement *

read-only WebKitDOMElement* Document:webkit-pointer-lock-element.

Flags: Read

### The `“xml-encoding”` property

      “xml-encoding”             gchar *

read-only gchar* Document:xml-encoding.

Flags: Read

Default value: ""

### The `“xml-standalone”` property

      “xml-standalone”           gboolean

read-write gboolean Document:xml-standalone.

Flags: Read / Write

Default value: FALSE

### The `“xml-version”` property

      “xml-version”              gchar *

read-write gchar* Document:xml-version.

Flags: Read / Write

Default value: ""